import {
  banner_default
} from "./chunk-WJSRKCWV.js";
import {
  ModelForm
} from "./chunk-AYF4HFW2.js";
import {
  AKElement,
  button_default,
  n,
  patternfly_base_default,
  t
} from "./chunk-AMC4UCMS.js";
import {
  ke,
  msg
} from "./chunk-XFT4DB4U.js";
import {
  __decorateClass
} from "./chunk-KZ3QJOBN.js";

// src/admin/rbac/ObjectPermissionModal.ts
var ObjectPermissionsPageForm = class extends ModelForm {
  loadInstance() {
    return Promise.resolve();
  }
  send() {
    return Promise.resolve();
  }
  renderForm() {
    return ke`<ak-rbac-object-permission-page
            .model=${this.model}
            .objectPk=${this.objectPk}
            slot="form"
            .embedded=${true}
        >
        </ak-rbac-object-permission-page>`;
  }
};
__decorateClass([
  n()
], ObjectPermissionsPageForm.prototype, "model", 2);
__decorateClass([
  n()
], ObjectPermissionsPageForm.prototype, "objectPk", 2);
ObjectPermissionsPageForm = __decorateClass([
  t("ak-rbac-object-permission-modal-form")
], ObjectPermissionsPageForm);
var ObjectPermissionModal = class extends AKElement {
  static get styles() {
    return [patternfly_base_default, button_default, banner_default];
  }
  render() {
    return ke`
            <ak-forms-modal .showSubmitButton=${false} cancelText=${msg("Close")}>
                <span slot="header"> ${msg("Update Permissions")} </span>
                <div class="pf-c-banner pf-m-info" slot="above-form">
                    ${msg("RBAC is in preview.")}
                    <a href="mailto:hello@goauthentik.io">${msg("Send us feedback!")}</a>
                </div>
                <ak-rbac-object-permission-modal-form
                    slot="form"
                    .model=${this.model}
                    .objectPk=${this.objectPk}
                ></ak-rbac-object-permission-modal-form>
                <button slot="trigger" class="pf-c-button pf-m-plain">
                    <pf-tooltip position="top" content=${msg("Permissions")}>
                        <i class="fas fa-lock"></i>
                    </pf-tooltip>
                </button>
            </ak-forms-modal>
        `;
  }
};
__decorateClass([
  n()
], ObjectPermissionModal.prototype, "model", 2);
__decorateClass([
  n()
], ObjectPermissionModal.prototype, "objectPk", 2);
ObjectPermissionModal = __decorateClass([
  t("ak-rbac-object-permission-modal")
], ObjectPermissionModal);
//# sourceMappingURL=chunk-6P4Q5A35.js.map
