import {
  en_exports
} from "./chunk-VTMAQD5U.js";
import {
  D,
  R,
  msg
} from "./chunk-BL2WZFD2.js";

// src/elements/ak-locale-context/definitions.ts
var enLocale = en_exports;
var debug = [
  "pseudo-LOCALE",
  /^pseudo/i,
  () => msg("Pseudolocale (for testing)"),
  async () => await import("./pseudo-LOCALE-WIZR4K67.js")
];
var LOCALE_TABLE = [
  ["en", /^en([_-]|$)/i, () => msg("English"), async () => await import("./en-TOEQSYLY.js")],
  ["es", /^es([_-]|$)/i, () => msg("Spanish"), async () => await import("./es-KHXHCUOJ.js")],
  ["de", /^de([_-]|$)/i, () => msg("German"), async () => await import("./de-GF7MDCGB.js")],
  ["fr", /^fr([_-]|$)/i, () => msg("French"), async () => await import("./fr-3RIHBT2E.js")],
  ["ko", /^ko([_-]|$)/i, () => msg("Korean"), async () => await import("./ko-C24Z2F4A.js")],
  ["nl", /^nl([_-]|$)/i, () => msg("Dutch"), async () => await import("./nl-5TXWGHX3.js")],
  ["pl", /^pl([_-]|$)/i, () => msg("Polish"), async () => await import("./pl-6QTNWK4I.js")],
  ["ru", /^ru([_-]|$)/i, () => msg("Russian"), async () => await import("./ru-CQ5SDOTR.js")],
  ["tr", /^tr([_-]|$)/i, () => msg("Turkish"), async () => await import("./tr-PDQGXJHA.js")],
  ["zh-Hant", /^zh[_-](HK|Hant)/i, () => msg("Chinese (traditional)"), async () => await import("./zh-Hant-5KFIDDEA.js")],
  ["zh_TW", /^zh[_-]TW$/i, () => msg("Taiwanese Mandarin"), async () => await import("./zh_TW-BJG626F7.js")],
  ["zh-Hans", /^zh(\b|_)/i, () => msg("Chinese (simplified)"), async () => await import("./zh-Hans-HARWQ4UX.js")],
  debug
];
var LOCALES = LOCALE_TABLE.map(([code, match, label, locale]) => ({
  code,
  match,
  label,
  locale
}));

// node_modules/lit-html/directive.js
var t = { ATTRIBUTE: 1, CHILD: 2, PROPERTY: 3, BOOLEAN_ATTRIBUTE: 4, EVENT: 5, ELEMENT: 6 };
var e = (t3) => (...e4) => ({ _$litDirective$: t3, values: e4 });
var i = class {
  constructor(t3) {
  }
  get _$AU() {
    return this._$AM._$AU;
  }
  _$AT(t3, e4, i3) {
    this.t = t3, this._$AM = e4, this.i = i3;
  }
  _$AS(t3, e4) {
    return this.update(t3, e4);
  }
  update(t3, e4) {
    return this.render(...e4);
  }
};

// node_modules/lit-html/directives/unsafe-html.js
var le = class extends i {
  constructor(i3) {
    if (super(i3), this.it = D, i3.type !== t.CHILD) throw Error(this.constructor.directiveName + "() can only be used in child bindings");
  }
  render(t3) {
    if (t3 === D || null == t3) return this._t = void 0, this.it = t3;
    if (t3 === R) return t3;
    if ("string" != typeof t3) throw Error(this.constructor.directiveName + "() called with a non-string value");
    if (t3 === this.it) return this._t;
    this.it = t3;
    const i3 = [t3];
    return i3.raw = i3, this._t = { _$litType$: this.constructor.resultType, strings: i3, values: [] };
  }
};
le.directiveName = "unsafeHTML", le.resultType = 1;
var ae = e(le);

// node_modules/@lit/context/lib/context-request-event.js
var s = class extends Event {
  constructor(s4, t3, e4) {
    super("context-request", { bubbles: true, composed: true }), this.context = s4, this.callback = t3, this.subscribe = e4 ?? false;
  }
};

// node_modules/@lit/context/lib/controllers/context-consumer.js
var s2 = class {
  constructor(t3, s4, i3, h) {
    if (this.subscribe = false, this.provided = false, this.value = void 0, this.t = (t4, s5) => {
      this.unsubscribe && (this.unsubscribe !== s5 && (this.provided = false, this.unsubscribe()), this.subscribe || this.unsubscribe()), this.value = t4, this.host.requestUpdate(), this.provided && !this.subscribe || (this.provided = true, this.callback && this.callback(t4, s5)), this.unsubscribe = s5;
    }, this.host = t3, void 0 !== s4.context) {
      const t4 = s4;
      this.context = t4.context, this.callback = t4.callback, this.subscribe = t4.subscribe ?? false;
    } else this.context = s4, this.callback = i3, this.subscribe = h ?? false;
    this.host.addController(this);
  }
  hostConnected() {
    this.dispatchRequest();
  }
  hostDisconnected() {
    this.unsubscribe && (this.unsubscribe(), this.unsubscribe = void 0);
  }
  dispatchRequest() {
    this.host.dispatchEvent(new s(this.context, this.t, this.subscribe));
  }
};

// node_modules/@lit/context/lib/decorators/consume.js
function c({ context: c2, subscribe: e4 }) {
  return (o, n2) => {
    "object" == typeof n2 ? n2.addInitializer(function() {
      new s2(this, { context: c2, callback: (t3) => {
        o.set.call(this, t3);
      }, subscribe: e4 });
    }) : o.constructor.addInitializer((o2) => {
      new s2(o2, { context: c2, callback: (t3) => {
        o2[n2] = t3;
      }, subscribe: e4 });
    });
  };
}

// node_modules/@lit/context/lib/create-context.js
function n(n2) {
  return n2;
}

// node_modules/@lit/context/lib/value-notifier.js
var s3 = class {
  get value() {
    return this.o;
  }
  set value(s4) {
    this.setValue(s4);
  }
  setValue(s4, t3 = false) {
    const i3 = t3 || !Object.is(s4, this.o);
    this.o = s4, i3 && this.updateObservers();
  }
  constructor(s4) {
    this.subscriptions = /* @__PURE__ */ new Map(), this.updateObservers = () => {
      for (const [s5, { disposer: t3 }] of this.subscriptions) s5(this.o, t3);
    }, void 0 !== s4 && (this.value = s4);
  }
  addCallback(s4, t3, i3) {
    if (!i3) return void s4(this.value);
    this.subscriptions.has(s4) || this.subscriptions.set(s4, { disposer: () => {
      this.subscriptions.delete(s4);
    }, consumerHost: t3 });
    const { disposer: h } = this.subscriptions.get(s4);
    s4(this.value, h);
  }
  clearCallbacks() {
    this.subscriptions.clear();
  }
};

// node_modules/@lit/context/lib/controllers/context-provider.js
var e2 = class extends Event {
  constructor(t3) {
    super("context-provider", { bubbles: true, composed: true }), this.context = t3;
  }
};
var i2 = class extends s3 {
  constructor(s4, e4, i3) {
    super(void 0 !== e4.context ? e4.initialValue : i3), this.onContextRequest = (t3) => {
      const s5 = t3.composedPath()[0];
      t3.context === this.context && s5 !== this.host && (t3.stopPropagation(), this.addCallback(t3.callback, s5, t3.subscribe));
    }, this.onProviderRequest = (s5) => {
      const e5 = s5.composedPath()[0];
      if (s5.context !== this.context || e5 === this.host) return;
      const i4 = /* @__PURE__ */ new Set();
      for (const [s6, { consumerHost: e6 }] of this.subscriptions) i4.has(s6) || (i4.add(s6), e6.dispatchEvent(new s(this.context, s6, true)));
      s5.stopPropagation();
    }, this.host = s4, void 0 !== e4.context ? this.context = e4.context : this.context = e4, this.attachListeners(), this.host.addController?.(this);
  }
  attachListeners() {
    this.host.addEventListener("context-request", this.onContextRequest), this.host.addEventListener("context-provider", this.onProviderRequest);
  }
  hostConnected() {
    this.host.dispatchEvent(new e2(this.context));
  }
};

// src/elements/AuthentikContexts.ts
var authentikConfigContext = n(Symbol("authentik-config-context"));
var authentikUserContext = n(Symbol("authentik-user-context"));
var authentikEnterpriseContext = n(
  Symbol("authentik-enterprise-context")
);
var authentikBrandContext = n(Symbol("authentik-brand-context"));

export {
  i2 as i,
  c,
  authentikConfigContext,
  authentikEnterpriseContext,
  authentikBrandContext,
  enLocale,
  LOCALES,
  t,
  e,
  i as i2,
  ae
};
/*! Bundled license information:

lit-html/directive.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

lit-html/directives/unsafe-html.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/context-request-event.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/controllers/context-consumer.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/decorators/consume.js:
  (**
   * @license
   * Copyright 2022 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/create-context.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/value-notifier.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/controllers/context-provider.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/context-root.js:
  (**
   * @license
   * Copyright 2021 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)

@lit/context/lib/decorators/provide.js:
  (**
   * @license
   * Copyright 2017 Google LLC
   * SPDX-License-Identifier: BSD-3-Clause
   *)
*/
//# sourceMappingURL=chunk-HQ6SKPEI.js.map
